﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ComboDataFormSample_SL
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			List<AppointmentTypeItem> comboItems = new List<AppointmentTypeItem>();
			comboItems.Add(new AppointmentTypeItem(){  AppointmentTypeId = Guid.NewGuid(), AppointmentTypeName = "Item1"} );
			comboItems.Add(new AppointmentTypeItem() { AppointmentTypeId = Guid.NewGuid(), AppointmentTypeName = "Item2" });
			((ComboSource)this.LayoutRoot.Resources["ComboSource"]).Items =  comboItems;
			this.AppointmentTemplateForm.CurrentItem = new AppointmentTemplateItem();
		}
	}

	public class AppointmentTypeItem
	{
		private Guid appointmentTypeId;
		private String appointmentTypeName;

		public AppointmentTypeItem() { }

		public AppointmentTypeItem(Guid appointmentTypeId, String appointmentTypeName)
		{
			AppointmentTypeId = appointmentTypeId;
			AppointmentTypeName = appointmentTypeName;
		}

		public Guid AppointmentTypeId { get { return this.appointmentTypeId; } set { this.appointmentTypeId = value; } }
		public String AppointmentTypeName { get { return this.appointmentTypeName; } set { this.appointmentTypeName = value; } }
	}

	//Base Object Bound to DataForm: 
	public class AppointmentTemplateItem
	{
		private Guid appointmentAppointmentTypeId; //Value used to select correct DropDown Item. 
		public Guid AppointmentAppointmentTypeId
		{
			get { return this.appointmentAppointmentTypeId; }
			set
			{
				this.appointmentAppointmentTypeId = value;
			}
		}
	} 
}
